OMSimulatorLib The OMSimulator project is a FMI-based co-simulation environment.

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
oms::FMUInfo Class Reference

FMU info. More...

`#include <FMUInfo.h>`

Inheritance diagram for oms::FMUInfo:
[legend]
Collaboration diagram for oms::FMUInfo:
[legend]

## Public Member Functions
| FMUInfo (const std::string &path)
| ~FMUInfo ()
void | update (oms_component_enu_t componentType, fmiHandle *fmi4c)
std::string | getPath () const
oms_fmi_kind_enu_t | getKind () const
bool | getCanInterpolateInputs () const
bool | getCanGetAndSetFMUstate () const
unsigned int | getMaxOutputDerivativeOrder () const
bool | getProvidesDirectionalDerivative () const
std::string | getGenerationTool () const

## Private Member Functions
void | updateFMI2Info (fmiHandle *fmi4c)
void | updateFMI3Info (fmiHandle *fmi4c)
| FMUInfo (const FMUInfo &rhs)
| not implemented
FMUInfo & | operator= (const FMUInfo &rhs)
| not implemented

## Detailed Description

FMU info.

## Constructor & Destructor Documentation

## ◆ FMUInfo() [1/2]

oms::FMUInfo::FMUInfo | ( | const std::string & | path | ) |

Here is the call graph for this function:

## ◆ ~FMUInfo()

oms::FMUInfo::~FMUInfo | ( |  | ) |

## ◆ FMUInfo() [2/2]

oms::FMUInfo::FMUInfo | ( | const FMUInfo & | rhs | ) |
| private

not implemented

## Member Function Documentation

## ◆ getCanGetAndSetFMUstate()

bool oms::FMUInfo::getCanGetAndSetFMUstate | ( |  | ) | const
| inline

Here is the caller graph for this function:

## ◆ getCanInterpolateInputs()

bool oms::FMUInfo::getCanInterpolateInputs | ( |  | ) | const
| inline

## ◆ getGenerationTool()

std::string oms::FMUInfo::getGenerationTool | ( |  | ) | const
| inline

## ◆ getKind()

oms_fmi_kind_enu_t oms::FMUInfo::getKind | ( |  | ) | const
| inline

## ◆ getMaxOutputDerivativeOrder()

unsigned int oms::FMUInfo::getMaxOutputDerivativeOrder | ( |  | ) | const
| inline

## ◆ getPath()

std::string oms::FMUInfo::getPath | ( |  | ) | const
| inline

## ◆ getProvidesDirectionalDerivative()

bool oms::FMUInfo::getProvidesDirectionalDerivative | ( |  | ) | const
| inline

## ◆ operator=()

FMUInfo & oms::FMUInfo::operator= | ( | const FMUInfo & | rhs | ) |
| private

not implemented

## ◆ update()

void oms::FMUInfo::update | ( | oms_component_enu_t | componentType,
|  | fmiHandle * | fmi4c
| ) |  |

## ◆ updateFMI2Info()

void oms::FMUInfo::updateFMI2Info | ( | fmiHandle * | fmi4c | ) |
| private

Here is the call graph for this function:

## ◆ updateFMI3Info()

void oms::FMUInfo::updateFMI3Info | ( | fmiHandle * | fmi4c | ) |
| private

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /var/lib/jenkins/ws/OMSimulator_PR-1634/src/OMSimulatorLib/FMUInfo.h
- /var/lib/jenkins/ws/OMSimulator_PR-1634/src/OMSimulatorLib/FMUInfo.cpp